AOZ Studio Beta - Bug #706

In Amiga manifest, if color Palette changes, some of the colors don't redraw properly.
03/28/2021 06:24 AM - Brian Flanagan

Status: Rejected Start date: 03/27/2021
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 4:00 hours
Target version:

Affected version: 1.0.0 (B6a)

Description
Example:

#manifest: "amiga"
Screen Open 0,320,200,32,Lowres
Cls 0 : Flash Off : Curs Off
//
// Draw bars using default 32 color palette on upper half of screen

//
For C=0 To 31

Ink C

Bar C*8,0 To C*8+7,98
Next C
Wait Key

//
// Set new custom 32-color palette, draw bars with new palette on lower half of screen.

//
Palette $000,$555, SAAA, SFFF, $100,$500,SA00,$F00, $010,5050,$0A0,S$0F0, $001,5005,500A,S00F
550, $AA0, SFFO, $011,$055,$0AA, $SOFF, $101,$505,$A0A,$FOF, $100,$530,$A50,SF70
For C=0 To 31

Ink C

Bar C*8,100 To C*8+7,199
Next C

When the palette is changed, the default palette bars at the top of the screen should change to our custom palette.
All of them do except for bar #26.
$110,53

History

#1 - 03/31/2021 02:10 PM - Francois Lionet

- Status changed from New to Rejected

Will be fixed when | implement the renderer.

Please stop posting graphical problems in Amiga mode.

#2 - 04/01/2021 11:00 AM - Brian Flanagan

I understand it's an Amiga issue. That's why | marked it as Low priority.

Don't we still want these in the system for when we can get to the new renderer?

Otherwise I'll forget about it by then. ;-)
